Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.util
Class Set

Method Summary
`Set` | `asImmutable()` A convenience method for creating an immutable list
`Set` | `asSynchronized()` A convenience method for creating a synchronized Set
`Set` | `flatten()` Flatten a set contents (recursively) added to the new collection
`Set` | `minus(Collection operands)` Create a Set composed of the elements of the first set minus the elements of the given collection TODO: remove using number comparator?
`Set` | `minus(Object operand)` Create a Set composed of the elements of the first set minus the operand

Method Detail

### asImmutable

    public Set asImmutable()

  A convenience method for creating an immutable list.

Returns:
  an immutable Set

See:
  Collections#unmodifiableSet.

### asSynchronized

    public Set asSynchronized()

  A convenience method for creating a synchronized Set.

Returns:
  a synchronized Set

See:
  Collections#synchronizedSet.

### flatten

    public Set flatten()

  Flatten a set. This collection and any nested collections have their contents (recursively) added to the new collection.

Returns:
  a flattened Set

### minus

    public Set minus(Collection operands)

  Create a Set composed of the elements of the first set minus the elements of the given collection.

  TODO: remove using number comparator?

Parameters:
  `operands` - the items to remove from the set.
Returns:
  the resulting set

### minus

    public Set minus(Object operand)

  Create a Set composed of the elements of the first set minus the operand.

Parameters:
  `operand` - the operand to remove from the set.
Returns:
  the resulting set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK